Run in Apidog
Make Order# This endpoint allows the client to create a new order. Request Body# order_name (string): Name of the order.
bizid (string, required): Business ID.
society_id (string, required): Society ID.
service_charge (string, optional): Service charge for the order.
delivery_charge (string, optional): Delivery charge for the order.
userid (string, required): User ID.
order_status (string, optional): Status of the order.
item_id (string, required): ID of the item.
item_price (string, required): Price of the item.
item_name (string, required): Name of the item.
item_qty (string, required): Quantity of the item.
Response (200 - OK)# The response will be a JSON object with the following schema: {
"type" : "object" ,
"properties" : {
"status" : {
"type" : "boolean"
} ,
"message" : {
"type" : "string"
} ,
"data" : {
"type" : "object" ,
"properties" : {
"orderid" : {
"type" : "string"
}
}
}
}
}
Request Example: X-Token: ********************
Body Params application/json
{ "orderdata" : { "order_name" : "xxx new order" , "bizid" : "1" , "society_id" : "3" , "service_charge" : "0" , "delivery_charge" : "0" , "userid" : "1" , "order_status" : "0" } , "orderitems" : [ { "item_id" : "13" , "item_price" : "100" , "item_name" : "Writing Pen" , "item_qty" : "1" } , { "item_id" : "14" , "item_price" : "300" , "item_name" : "Note Book" , "item_qty" : "3" } ] } Request Code Samples
curl --location '/api/orders/makeorder/' \
--header 'marchant-id: BIZ12354124' \
--header 'Content-Type: application/json' \
--data '{"orderdata":{"order_name":"xxx new order","bizid":"1","society_id":"3","service_charge":"0","delivery_charge":"0","userid":"1","order_status":"0"},"orderitems":[{"item_id":"13","item_price":"100","item_name":"Writing Pen","item_qty":"1"},{"item_id":"14","item_price":"300","item_name":"Note Book","item_qty":"3"}]}' Responses application/json
Generate Code
Modified at 2024-10-17 16:02:45